-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: student-databases.cvode4s4cwrc.us-west-2.rds.amazonaws.com
-- Generation Time: May 02, 2023 at 04:31 PM
-- Server version: 8.0.28
-- PHP Version: 7.2.34

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `KAJFORNEY`
--

-- --------------------------------------------------------

--
-- Table structure for table `developers`
--

CREATE TABLE `developers` (
  `id` int NOT NULL,
  `name` varchar(255) NOT NULL,
  `homepage` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `developers`
--

INSERT INTO `developers` (`id`, `name`, `homepage`, `description`) VALUES
(1, 'Valve', 'https://www.valvesoftware.com/', 'We make games, Steam, and hardware.'),
(2, 'Morizora Studios', 'https://www.laurashigihara.com/', 'The studio of video game composer and developer Laura Shigihara.'),
(3, 'Forgotten Empires', 'https://www.forgottenempires.net/', NULL),
(4, 'Cyan Worlds, Inc.', 'https://cyan.com/', 'We Build Worlds.'),
(5, 'Croteam', 'http://www.croteam.com/', 'Croteam is an independent game development company located in Zagreb, Croatia and developing games and 3D engine technologies for PC, Mac, Linux, PlayStation 4, Xbox One, Nintendo Switch, iOS and Android, as well as various VR platforms. '),
(6, 'Frictional Games', 'https://frictionalgames.com/', 'Frictional Games is a small independent game developer, known for our horror themes and narrative experiences.'),
(7, 'Mobius Digital', 'https://www.mobiusdigitalgames.com/', 'We make games wild & wonderful. Come explore with us.'),
(8, 'Odencat', 'https://odencat.com', 'Odencat is a Japanese studio that specializes in developing high-quality pixel art game which focuses on storytelling.'),
(9, 'Crows Crows Crows', 'https://crowscrowscrows.com/', 'We\'re a Berlin-based studio working on unique experimental video games.');

-- --------------------------------------------------------

--
-- Table structure for table `games_master_table`
--

CREATE TABLE `games_master_table` (
  `id` int NOT NULL,
  `game_title` varchar(255) NOT NULL,
  `developer_id` int NOT NULL,
  `publisher_id` int DEFAULT NULL,
  `release_date` date NOT NULL,
  `win_supported` tinyint(1) NOT NULL,
  `mac_supported` tinyint(1) NOT NULL,
  `linux_supported` tinyint(1) NOT NULL,
  `short_description` varchar(300) NOT NULL,
  `long_description` text CHARACTER SET utf8 COLLATE utf8_general_ci,
  `long_description_markdown` text,
  `cover_art_filename` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `games_master_table`
--

INSERT INTO `games_master_table` (`id`, `game_title`, `developer_id`, `publisher_id`, `release_date`, `win_supported`, `mac_supported`, `linux_supported`, `short_description`, `long_description`, `long_description_markdown`, `cover_art_filename`) VALUES
(1, 'The Stanley Parable: Ultra Deluxe', 9, 1, '2022-04-27', 1, 1, 1, 'The Stanley Parable: Ultra Deluxe is an expanded re-imagining of 2013\'s The Stanley Parable. You will play as Stanley, and you will not play as Stanley. You will make a choice, and you will become powerless. You are not here to win. The Stanley Parable is a game that plays you.', '<p><strong>The Stanley Parable: Ultra Deluxe is a first person exploration game. It is an expanded re-imagining of the critically acclaimed, award winning indie game The Stanley Parable from 2013.</strong></p>\n<p>When a simple-minded individual named Stanley discovers that the co-workers in his office have mysteriously vanished, he sets off to find answers.</p>\n<p>You will play as Stanley, and you will not play as Stanley. You will make a choice, and you will have your choices taken from you. The game will end, the game will never end. Contradiction follows contradiction, the rules of how games should work are broken, then broken again. You are not here to win. The Stanley Parable is a game that plays you.</p>\n<h2 id=\"whats-new\">What\'s New?</h2>\n<p>Everything that was in the original Stanley Parable is here, preserved just like it was back in 2013. But The Stanley Parable: Ultra Deluxe also dramatically expands the world of the original game with new content, new choices, and new secrets to uncover. The labyrinth has just gotten bigger.</p>\n<p>In addition, the game has been visually upgraded to reflect modern technology while faithfully preserving the tone of the original game. Accessibility features have also been added to the game, including localization of in-world text, colorblind options, and content warnings.</p>\n<p>And just as before, the impeccable voicework of Kevan Brighting will accompany you every step of the way.</p>\n<p>In The Stanley Parable: Ultra Deluxe, everything you remember has been recreated, yet it\'s different somehow. We\'ve been here before, haven\'t we? Is Stanley still the same as he was back then? Or is it you who has changed? </p>\n', '**The Stanley Parable: Ultra Deluxe is a first person exploration game. It is an expanded re-imagining of the critically acclaimed, award winning indie game The Stanley Parable from 2013.**\n\n\nWhen a simple-minded individual named Stanley discovers that the co-workers in his office have mysteriously vanished, he sets off to find answers.\n\n\nYou will play as Stanley, and you will not play as Stanley. You will make a choice, and you will have your choices taken from you. The game will end, the game will never end. Contradiction follows contradiction, the rules of how games should work are broken, then broken again. You are not here to win. The Stanley Parable is a game that plays you.\n\n\n## What\'s New?\n\n\nEverything that was in the original Stanley Parable is here, preserved just like it was back in 2013. But The Stanley Parable: Ultra Deluxe also dramatically expands the world of the original game with new content, new choices, and new secrets to uncover. The labyrinth has just gotten bigger.\n\n\nIn addition, the game has been visually upgraded to reflect modern technology while faithfully preserving the tone of the original game. Accessibility features have also been added to the game, including localization of in-world text, colorblind options, and content warnings.\n\n\nAnd just as before, the impeccable voicework of Kevan Brighting will accompany you every step of the way.\n\n\nIn The Stanley Parable: Ultra Deluxe, everything you remember has been recreated, yet it\'s different somehow. We\'ve been here before, haven\'t we? Is Stanley still the same as he was back then? Or is it you who has changed? ', 'tspud.jpg-1683039979481.jpg'),
(2, 'Half-Life', 1, 1, '1998-11-08', 1, 1, 1, 'Named Game of the Year by over 50 publications, Valve\'s debut title blends action and adventure with award-winning technology to create a frighteningly realistic world where players must think to survive.', '<p>Named Game of the Year by over 50 publications, Valve\'s debut title blends action and adventure with award-winning technology to create a frighteningly realistic world where players must think to survive. Also includes an exciting multiplayer mode that allows you to play against friends and enemies around the world. </p>\n', 'Named Game of the Year by over 50 publications, Valve\'s debut title blends action and adventure with award-winning technology to create a frighteningly realistic world where players must think to survive. Also includes an exciting multiplayer mode that allows you to play against friends and enemies around the world. ', 'hl.jpg-1683037327120.jpg'),
(3, 'Rakuen', 2, 1, '2017-05-10', 1, 1, 1, 'A hospitalized Boy comes to terms with his own story by traveling with his Mom to a beautiful fantasy world; ultimately helping his fellow patients find closure by walking a mile in their shoes.', '<p>Rakuen is an adventure game about a little Boy who lives in the hospital. One day, the Boy asks his Mom to escort him to the fantasy world from his favorite storybook, so that he can ask the Guardian of the Forest to grant him one wish. In order to receive his wish, the Boy must complete a set of challenges that revolve around helping his neighbors in the hospital by interacting with their alter-egos in the fantasy world...</p>\n<p>...A cranky old man who guards a broken music box with his life while complaining that he never gets any visitors; a young woman in a coma whose husband hasn’t left her side in months; a little girl who laments over a friend she was never able to say goodbye to after growing ill… The Boy slowly begins to realize that his neighbors are plagued by secrets and struggles that are mysteriously tied to the strange hospital.</p>\n<h2 id=\"features\">FEATURES</h2>\n<ul>\n<li>Heartwarming and character-rich story.</li>\n<li>A unique non-combat adventure that mixes whimsical dungeons, eerie room escape puzzles, and dialogue-based mysteries that are intricately tied to the story.</li>\n<li>Walk a mile in everyone\'s shoes as you traverse each character\'s life to learn about their unfinished business and help them through it.</li>\n<li>An original soundtrack featuring multiple vocal songs that are closely tied to each character.</li>\n<li>Collect items and build friendships to gradually make the hospital a better place.</li>\n<li>Go on humorous quests for strange creatures in the fantasy world.</li>\n</ul>\n', 'Rakuen is an adventure game about a little Boy who lives in the hospital. One day, the Boy asks his Mom to escort him to the fantasy world from his favorite storybook, so that he can ask the Guardian of the Forest to grant him one wish. In order to receive his wish, the Boy must complete a set of challenges that revolve around helping his neighbors in the hospital by interacting with their alter-egos in the fantasy world...\n\n...A cranky old man who guards a broken music box with his life while complaining that he never gets any visitors; a young woman in a coma whose husband hasn’t left her side in months; a little girl who laments over a friend she was never able to say goodbye to after growing ill… The Boy slowly begins to realize that his neighbors are plagued by secrets and struggles that are mysteriously tied to the strange hospital.\n\n## FEATURES\n\n- Heartwarming and character-rich story.\n- A unique non-combat adventure that mixes whimsical dungeons, eerie room escape puzzles, and dialogue-based mysteries that are intricately tied to the story.\n- Walk a mile in everyone\'s shoes as you traverse each character\'s life to learn about their unfinished business and help them through it.\n- An original soundtrack featuring multiple vocal songs that are closely tied to each character.\n- Collect items and build friendships to gradually make the hospital a better place.\n- Go on humorous quests for strange creatures in the fantasy world.', 'rakuen.jpg-1683037442314.jpg'),
(4, 'Mr. Saitou', 2, 1, '2023-03-23', 1, 1, 1, 'A short game about an average white-collar worker who struggles to find meaning in a life full of constant overtime and isolation. After an accident lands him in the hospital, Mr. Saitou is spirited away to a strange fantasy world where an unexpected friend takes him on a life-changing adventure. ', '<h2 id=\"return-to-the-world-of-rakuen-where-a-new-adventure-awaits\">Return to the world of Rakuen, where a new adventure awaits!</h2>\n<p>Mr. Saitou is a short game about an average white-collar worker who struggles to find meaning in a life full of constant overtime and social isolation. After an accident lands him in the hospital, Mr. Saitou is spirited away to a strange fantasy world where an unexpected friend takes him on a life-changing adventure.</p>\n<h2 id=\"features\">Features</h2>\n<ul>\n<li>Heartwarming non-combat story with an emphasis on humor and building friendships.</li>\n<li>A short &amp; sweet experience that can usually be completed in one sitting.</li>\n<li>Get to know a cast of strange creatures (both new and familiar), impress your boss, and explore a scuffed Edudungeon.</li>\n<li>Charming art and original soundtrack by Laura Shigihara, Toby Fox, and No Holds Bard.</li>\n<li>Meet the Sphinx of Basic Math</li>\n<li>Ride on a train.</li>\n<li>Synergize, Optimize, ROIs, and cherry pies. Lots of Golf Balls. Definitely Y2K Compliant. Definitely business.</li>\n</ul>\n', '## Return to the world of Rakuen, where a new adventure awaits!\nMr. Saitou is a short game about an average white-collar worker who struggles to find meaning in a life full of constant overtime and social isolation. After an accident lands him in the hospital, Mr. Saitou is spirited away to a strange fantasy world where an unexpected friend takes him on a life-changing adventure.\n\n## Features\n\n- Heartwarming non-combat story with an emphasis on humor and building friendships.\n- A short & sweet experience that can usually be completed in one sitting.\n- Get to know a cast of strange creatures (both new and familiar), impress your boss, and explore a scuffed Edudungeon.\n- Charming art and original soundtrack by Laura Shigihara, Toby Fox, and No Holds Bard.\n- Meet the Sphinx of Basic Math\n- Ride on a train.\n- Synergize, Optimize, ROIs, and cherry pies. Lots of Golf Balls. Definitely Y2K Compliant. Definitely business.', 'mrsaitou.jpg-1683037559286.jpg'),
(5, 'Age of Empires II: Definitive Edition', 3, 3, '2019-11-14', 1, 0, 0, 'Age of Empires II: Definitive Edition features “The Last Khans” with 3 new campaigns and 4 new Civilizations. Frequent updates include events, additional content, new game modes, and enhanced features with the recent addition of Co-Op mode!', '<p>Age of Empires II: Definitive Edition celebrates the 20th anniversary of one of the most popular strategy games ever, now with stunning 4K Ultra HD graphics, and a fully remastered soundtrack. Age of Empires II: DE features “The Last Khans” with 3 new campaigns and 4 new Civilizations. Frequent updates include events, additional content, new game modes, and enhanced features with the recent addition of Co-Op mode!</p>\n<p>Explore all the original Campaigns and the best-selling expansions like never before. With over 200 hours of gameplay and 1,000 years of human history, improved experiences await. Head online to challenge other players in your quest for world domination with 35 different Civilizations. You can also experience new Civilizations and Campaigns with the Lords of the West DLC! Recent updates include a Battle Royale game mode, ongoing support for the Scenario Editor, Quick Play for easy social games, enhancements to the game UI, and more!</p>\n<p>Choose your path to greatness with an eye-catching and engaging remaster to one of the most beloved strategy games of all time.</p>\n', 'Age of Empires II: Definitive Edition celebrates the 20th anniversary of one of the most popular strategy games ever, now with stunning 4K Ultra HD graphics, and a fully remastered soundtrack. Age of Empires II: DE features “The Last Khans” with 3 new campaigns and 4 new Civilizations. Frequent updates include events, additional content, new game modes, and enhanced features with the recent addition of Co-Op mode!\n\nExplore all the original Campaigns and the best-selling expansions like never before. With over 200 hours of gameplay and 1,000 years of human history, improved experiences await. Head online to challenge other players in your quest for world domination with 35 different Civilizations. You can also experience new Civilizations and Campaigns with the Lords of the West DLC! Recent updates include a Battle Royale game mode, ongoing support for the Scenario Editor, Quick Play for easy social games, enhancements to the game UI, and more!\n\nChoose your path to greatness with an eye-catching and engaging remaster to one of the most beloved strategy games of all time.', 'aoe2de.jpg-1683037728773.jpg'),
(6, 'Myst', 4, 1, '2021-08-26', 1, 1, 0, 'Welcome to Myst: a starkly beautiful island, eerily tinged with mystery and shrouded in intrigue. Built from the ground up to play in 2D & VR, explore Myst in a whole new dimension! Journey to the Ages, unravel puzzles, and be a part of the surrealistic adventure that will become your own.', '<h2 id=\"about-this-game\">ABOUT THIS GAME</h2>\n<p>Welcome to Myst: a starkly beautiful island, eerily tinged with mystery and shrouded in intrigue.</p>\n<p>Journey to Myst Island and other stunning, long dormant locations - called “Ages”- and begin to unravel the mystery you have been thrust into. As you learn what happened on the island, you will find that you are playing a key role in an epic story whose ending has not yet been written. Explore deeper connections in these stunning and surreal Ages, uncover a story of ruthless family betrayal, and make choices that will affect both you, and the world of Myst itself.</p>\n<p>Cyan, the indie studio that created the beloved classic, has reimagined Myst.</p>\n<p>Built from the ground up to play both in VR as well as traditional flatscreen displays, Myst is teeming with new art, new sound, re-imagined interactions, and even optional puzzle randomization. Finally... the highly anticipated Myst 2D/VR experience has arrived!</p>\n<p>Now you can explore the Ages of Myst in a new dimension!</p>\n<h2 id=\"built-for-both-vr-and-2d-displays\">BUILT FOR BOTH VR AND 2D DISPLAYS</h2>\n<p>Designed and built from the ground up in Unreal Engine, this newly-reimagined version of Myst includes fresh takes on the visuals in every area in the game. With both VR and 2D play experiences in mind, this definitive, modern edition of Myst will immerse you in the world in a way that has never been possible before.</p>\n<p>The VR experience includes both Free Roam and Teleport modes, and supports Valve Index, HTC Vive, Oculus Rift, Rift S, and Quest via Oculus Link.</p>\n<p>Additionally, Myst includes many “comfort level” features for both new and experienced VR users, including the option to enable smooth or snap turning, quick travel up stairs and ladders, vertical height quantization, and more!</p>\n<h2 id=\"new-and-requested-features\">NEW AND REQUESTED FEATURES</h2>\n<p>For the first time in Myst’s history, enjoy the game in many different languages through localized UI, including dialogue and gameplay-context subtitles.</p>\n<ul>\n<li>A variety of accessibility options to assist in gameplay.</li>\n<li>Tired of taking notes? Now you can take photo captures in-game to keep track of what you’ve encountered!</li>\n<li>A large number of graphics options to choose from, such as supersampling options and Ray Tracing to bring the best Myst experience out of the hardware you have.</li>\n</ul>\n<h2 id=\"frequently-asked-questions\">FREQUENTLY ASKED QUESTIONS</h2>\n<p>Q: Do I need a VR headset to play Myst?\nA: You do not need a VR headset to play Myst. Myst is playable with or without a VR headset.</p>\n<p>Q: Which VR headsets do you support?\nA: Please see our “About” section for the VR headsets we support.</p>\n<p>Q: I bought Myst when it first came out in 1993. Can I get a free upgrade to this new version?\nA: Thank you for your support over the years! We are not giving out free upgrades to previous purchasers of the original Myst. We put a lot of effort into making this new version of Myst and would appreciate your financial support again!</p>\n<p>Q: How do I launch Myst in VR?\nA: You may launch Myst in VR through the VR launch options given to you when you start the game through the store platform. If you are launching through a shortcut on your computer and not through a storefront, we recommend adding the following flags to a shortcut (without quotes): “-vr -d3d11”</p>\n<p>Q: I want to play Myst, but am concerned about my computer not meeting the minimum requirements. What should I do?\nA: If your machine does not meet the minimum requirements and you still want to try Myst out, we recommend enabling one of our supersampling options through the graphics settings menu to see if it alleviates performance concerns. Depending on the storefront you purchase Myst from, you may be able to qualify for a refund through the store (not through Cyan support) if Myst does not run well on your platform. Please review each store platform refund policy for details.</p>\n<p>Q: Will Myst support [insert language here] one day?\nA: Possibly! We’d love to hear from you through our support team about any languages you’d like for us to support. </p>\n', '## ABOUT THIS GAME\nWelcome to Myst: a starkly beautiful island, eerily tinged with mystery and shrouded in intrigue.\n\nJourney to Myst Island and other stunning, long dormant locations - called “Ages”- and begin to unravel the mystery you have been thrust into. As you learn what happened on the island, you will find that you are playing a key role in an epic story whose ending has not yet been written. Explore deeper connections in these stunning and surreal Ages, uncover a story of ruthless family betrayal, and make choices that will affect both you, and the world of Myst itself.\n\nCyan, the indie studio that created the beloved classic, has reimagined Myst.\n\nBuilt from the ground up to play both in VR as well as traditional flatscreen displays, Myst is teeming with new art, new sound, re-imagined interactions, and even optional puzzle randomization. Finally... the highly anticipated Myst 2D/VR experience has arrived!\n\nNow you can explore the Ages of Myst in a new dimension!\n\n## BUILT FOR BOTH VR AND 2D DISPLAYS\nDesigned and built from the ground up in Unreal Engine, this newly-reimagined version of Myst includes fresh takes on the visuals in every area in the game. With both VR and 2D play experiences in mind, this definitive, modern edition of Myst will immerse you in the world in a way that has never been possible before.\n\nThe VR experience includes both Free Roam and Teleport modes, and supports Valve Index, HTC Vive, Oculus Rift, Rift S, and Quest via Oculus Link.\n\nAdditionally, Myst includes many “comfort level” features for both new and experienced VR users, including the option to enable smooth or snap turning, quick travel up stairs and ladders, vertical height quantization, and more!\n\n## NEW AND REQUESTED FEATURES\nFor the first time in Myst’s history, enjoy the game in many different languages through localized UI, including dialogue and gameplay-context subtitles.\n- A variety of accessibility options to assist in gameplay.\n- Tired of taking notes? Now you can take photo captures in-game to keep track of what you’ve encountered!\n- A large number of graphics options to choose from, such as supersampling options and Ray Tracing to bring the best Myst experience out of the hardware you have.\n\n## FREQUENTLY ASKED QUESTIONS\nQ: Do I need a VR headset to play Myst?\nA: You do not need a VR headset to play Myst. Myst is playable with or without a VR headset.\n\nQ: Which VR headsets do you support?\nA: Please see our “About” section for the VR headsets we support.\n\nQ: I bought Myst when it first came out in 1993. Can I get a free upgrade to this new version?\nA: Thank you for your support over the years! We are not giving out free upgrades to previous purchasers of the original Myst. We put a lot of effort into making this new version of Myst and would appreciate your financial support again!\n\nQ: How do I launch Myst in VR?\nA: You may launch Myst in VR through the VR launch options given to you when you start the game through the store platform. If you are launching through a shortcut on your computer and not through a storefront, we recommend adding the following flags to a shortcut (without quotes): “-vr -d3d11”\n\nQ: I want to play Myst, but am concerned about my computer not meeting the minimum requirements. What should I do?\nA: If your machine does not meet the minimum requirements and you still want to try Myst out, we recommend enabling one of our supersampling options through the graphics settings menu to see if it alleviates performance concerns. Depending on the storefront you purchase Myst from, you may be able to qualify for a refund through the store (not through Cyan support) if Myst does not run well on your platform. Please review each store platform refund policy for details.\n\nQ: Will Myst support [insert language here] one day?\nA: Possibly! We’d love to hear from you through our support team about any languages you’d like for us to support. ', 'myst.jpg-1683037850521.jpg'),
(7, 'The Talos Principle', 5, 4, '2014-12-11', 1, 1, 1, ' The Talos Principle is a first-person puzzle game in the tradition of philosophical science fiction. Made by Croteam and written by Tom Jubert (FTL, The Swapper) and Jonas Kyratzes (The Sea Will Claim Everything). ', '<p>As if awakening from a deep sleep, you find yourself in a strange, contradictory world of ancient ruins and advanced technology. Tasked by your creator with solving a series of increasingly complex puzzles, you must decide whether to have faith or to ask the difficult questions: Who are you? What is your purpose? And what are you going to do about it?</p>\n<h2 id=\"features\">Features:</h2>\n<ul>\n<li>Overcome more than 120 immersive puzzles in a stunning world.</li>\n<li>Divert drones, manipulate laser beams and even replicate time to prove your worth - or to find a way out.</li>\n<li>Explore a story about humanity, technology and civilization. Uncover clues, devise theories, and make up your own mind.</li>\n<li>Choose your own path through the game\'s non-linear world, solving puzzles your way.</li>\n<li>But remember: choices have consequences and somebody\'s always watching you.</li>\n</ul>\n', 'As if awakening from a deep sleep, you find yourself in a strange, contradictory world of ancient ruins and advanced technology. Tasked by your creator with solving a series of increasingly complex puzzles, you must decide whether to have faith or to ask the difficult questions: Who are you? What is your purpose? And what are you going to do about it?\n\n## Features:\n- Overcome more than 120 immersive puzzles in a stunning world.\n- Divert drones, manipulate laser beams and even replicate time to prove your worth - or to find a way out.\n- Explore a story about humanity, technology and civilization. Uncover clues, devise theories, and make up your own mind.\n- Choose your own path through the game\'s non-linear world, solving puzzles your way.\n- But remember: choices have consequences and somebody\'s always watching you.', 'talos.jpg-1683043981765.jpg'),
(8, 'SOMA', 6, 1, '2015-09-22', 1, 1, 1, 'From the creators of Amnesia: The Dark Descent comes SOMA, a sci-fi horror game set below the waves of the Atlantic ocean. Struggle to survive a hostile world that will make you question your very existence.', '<p>SOMA is a sci-fi horror game from Frictional Games, the creators of Amnesia: The Dark Descent. It is an unsettling story about identity, consciousness, and what it means to be human.</p>\n<p>The radio is dead, food is running out, and the machines have started to think they are people. Underwater facility PATHOS-II has suffered an intolerable isolation and we’re going to have to make some tough decisions. What can be done? What makes sense? What is left to fight for?</p>\n<p>Enter the world of SOMA and face horrors buried deep beneath the ocean waves. Delve through locked terminals and secret documents to uncover the truth behind the chaos. Seek out the last remaining inhabitants and take part in the events that will ultimately shape the fate of the station. But be careful, danger lurks in every corner: corrupted humans, twisted creatures, insane robots, and even an inscrutable omnipresent A.I.\nYou will need to figure out how to deal with each one of them. Just remember there’s no fighting back, either you outsmart your enemies or you get ready to run. </p>\n', 'SOMA is a sci-fi horror game from Frictional Games, the creators of Amnesia: The Dark Descent. It is an unsettling story about identity, consciousness, and what it means to be human.\n\nThe radio is dead, food is running out, and the machines have started to think they are people. Underwater facility PATHOS-II has suffered an intolerable isolation and we’re going to have to make some tough decisions. What can be done? What makes sense? What is left to fight for?\n\nEnter the world of SOMA and face horrors buried deep beneath the ocean waves. Delve through locked terminals and secret documents to uncover the truth behind the chaos. Seek out the last remaining inhabitants and take part in the events that will ultimately shape the fate of the station. But be careful, danger lurks in every corner: corrupted humans, twisted creatures, insane robots, and even an inscrutable omnipresent A.I.\nYou will need to figure out how to deal with each one of them. Just remember there’s no fighting back, either you outsmart your enemies or you get ready to run. ', 'soma.jpg-1683038036930.jpg'),
(9, 'Outer Wilds', 7, 5, '2020-06-18', 1, 0, 0, ' Named Game of the Year 2019 by Giant Bomb, Polygon, Eurogamer, and The Guardian, Outer Wilds is a critically-acclaimed and award-winning open world mystery about a solar system trapped in an endless time loop. ', '<p>Winner of Best Game at the 2020 BAFTA Games Awards and named Game of the Year 2019 by Giant Bomb, Polygon, Eurogamer, and The Guardian, Outer Wilds is a critically-acclaimed and award-winning open world mystery about a solar system trapped in an endless time loop.</p>\n<h2 id=\"welcome-to-the-space-program\">Welcome to the Space Program!</h2>\n<p>You\'re the newest recruit of Outer Wilds Ventures, a fledgling space program searching for answers in a strange, constantly evolving solar system.</p>\n<h2 id=\"mysteries-of-the-solar-system\">Mysteries of the Solar System...</h2>\n<p>What lurks in the heart of the ominous Dark Bramble? Who built the alien ruins on the Moon? Can the endless time loop be stopped? Answers await you in the most dangerous reaches of space.</p>\n<h2 id=\"a-world-that-changes-over-time\">A World That Changes Over Time</h2>\n<p>The planets of Outer Wilds are packed with hidden locations that change with the passage of time. Visit an underground city before it\'s swallowed by sand, or explore the surface of a planet as it crumbles beneath your feet. Every secret is guarded by hazardous environments and natural catastrophes.</p>\n<h2 id=\"grab-your-intergalactic-hiking-gear\">Grab Your Intergalactic Hiking Gear!</h2>\n<p>Strap on your hiking boots, check your oxygen levels, and get ready to venture into space. Use a variety of unique gadgets to probe your surroundings, track down mysterious signals, decipher ancient alien writing, and roast the perfect marshmallow.</p>\n', 'Winner of Best Game at the 2020 BAFTA Games Awards and named Game of the Year 2019 by Giant Bomb, Polygon, Eurogamer, and The Guardian, Outer Wilds is a critically-acclaimed and award-winning open world mystery about a solar system trapped in an endless time loop.\n\n## Welcome to the Space Program!\nYou\'re the newest recruit of Outer Wilds Ventures, a fledgling space program searching for answers in a strange, constantly evolving solar system.\n\n## Mysteries of the Solar System...\nWhat lurks in the heart of the ominous Dark Bramble? Who built the alien ruins on the Moon? Can the endless time loop be stopped? Answers await you in the most dangerous reaches of space.\n\n## A World That Changes Over Time\nThe planets of Outer Wilds are packed with hidden locations that change with the passage of time. Visit an underground city before it\'s swallowed by sand, or explore the surface of a planet as it crumbles beneath your feet. Every secret is guarded by hazardous environments and natural catastrophes.\n\n## Grab Your Intergalactic Hiking Gear!\nStrap on your hiking boots, check your oxygen levels, and get ready to venture into space. Use a variety of unique gadgets to probe your surroundings, track down mysterious signals, decipher ancient alien writing, and roast the perfect marshmallow.', 'outerwilds.jpg-1683038148150.jpg'),
(10, 'Bear\'s Restaurant', 8, 1, '2021-10-06', 1, 1, 1, 'The award-winning indie adventure game finally arrives on Steam—now with more content than ever before! A story of love, loss, and fine dining that’s sure to warm even the most jaded of hearts. ', '<p>Where do we go after we die? And more importantly, what do we eat?</p>\n<p>In Bear’s Restaurant, you play as a little cat who just landed a job at the afterlife’s coziest eatery. As the lone waiter assisting the friendly bear who owns the joint, it’s your job to greet the newly deceased, take their orders, and deliver them each a final meal to help their souls rest in peace.</p>\n<p>The only problem is, the clientele here come from all walks of death, and in many cases, they’re awfully indecisive. In order to help send these weary spirits to their final destinations, it’ll be your job to dive into their memories and try to decipher what their last suppers should be. In doing so, you’ll get to see firsthand how they lived, how they died, and what foods left the deepest impressions on them while they were alive.</p>\n<p>Winner of the Avex Prize at the 2019 Google Play Indie Games Festival in Tokyo, Bear’s Restaurant is a game that’s touched the hearts of players all around the globe, with over a million downloads worldwide. This new-and-improved definitive version features all of the content from the original iOS/Android release, full widescreen display, and controller support, plus an all-new epilogue chapter that’s sure to answer those lingering questions.</p>\n<p>If it’s epic battles, mind-bending puzzles, or state-of-the-art cutscenes you’re after, you won’t find them here. But if you’re in the mood for a shorter, more wholesome experience—one that’ll fill your heart like a home-cooked meal you’ll remember for years to come—look no further.</p>\n<h3 id=\"content-warning\">[Content Warning]</h3>\n<p>While this game does not include any graphic imagery or gore, please be aware that the story does touch on a wide range of potentially distressing subject matter, such as murder, suicide, and various other manners of death that may be traumatic for some players (e.g. illness, traffic accidents). User discretion is advised. </p>\n', 'Where do we go after we die? And more importantly, what do we eat?\n\nIn Bear’s Restaurant, you play as a little cat who just landed a job at the afterlife’s coziest eatery. As the lone waiter assisting the friendly bear who owns the joint, it’s your job to greet the newly deceased, take their orders, and deliver them each a final meal to help their souls rest in peace.\n\nThe only problem is, the clientele here come from all walks of death, and in many cases, they’re awfully indecisive. In order to help send these weary spirits to their final destinations, it’ll be your job to dive into their memories and try to decipher what their last suppers should be. In doing so, you’ll get to see firsthand how they lived, how they died, and what foods left the deepest impressions on them while they were alive.\n\nWinner of the Avex Prize at the 2019 Google Play Indie Games Festival in Tokyo, Bear’s Restaurant is a game that’s touched the hearts of players all around the globe, with over a million downloads worldwide. This new-and-improved definitive version features all of the content from the original iOS/Android release, full widescreen display, and controller support, plus an all-new epilogue chapter that’s sure to answer those lingering questions.\n\nIf it’s epic battles, mind-bending puzzles, or state-of-the-art cutscenes you’re after, you won’t find them here. But if you’re in the mood for a shorter, more wholesome experience—one that’ll fill your heart like a home-cooked meal you’ll remember for years to come—look no further.\n\n### [Content Warning]\nWhile this game does not include any graphic imagery or gore, please be aware that the story does touch on a wide range of potentially distressing subject matter, such as murder, suicide, and various other manners of death that may be traumatic for some players (e.g. illness, traffic accidents). User discretion is advised. ', 'bear-restaurant.jpg-1683038262452.jpg'),
(11, 'Portal', 1, 1, '2007-10-10', 1, 1, 1, 'Portal™ is a new single player game from Valve. Set in the mysterious Aperture Science Laboratories, Portal has been called one of the most innovative new games on the horizon and will offer gamers hours of unique gameplay.', '<p>Portal™ is a new single player game from Valve. Set in the mysterious Aperture Science Laboratories, Portal has been called one of the most innovative new games on the horizon and will offer gamers hours of unique gameplay.</p>\n<p>The game is designed to change the way players approach, manipulate, and surmise the possibilities in a given environment; similar to how Half-Life® 2\'s Gravity Gun innovated new ways to leverage an object in any given situation.</p>\n<p>Players must solve physical puzzles and challenges by opening portals to maneuvering objects, and themselves, through space.</p>\n', 'Portal™ is a new single player game from Valve. Set in the mysterious Aperture Science Laboratories, Portal has been called one of the most innovative new games on the horizon and will offer gamers hours of unique gameplay.\n\n\n\nThe game is designed to change the way players approach, manipulate, and surmise the possibilities in a given environment; similar to how Half-Life® 2\'s Gravity Gun innovated new ways to leverage an object in any given situation.\n\n\n\nPlayers must solve physical puzzles and challenges by opening portals to maneuvering objects, and themselves, through space.', 'portal.jpg-1683043922769.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `publishers`
--

CREATE TABLE `publishers` (
  `id` int NOT NULL,
  `name` varchar(255) NOT NULL,
  `homepage` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `publishers`
--

INSERT INTO `publishers` (`id`, `name`, `homepage`, `description`) VALUES
(1, 'Self Published', NULL, NULL),
(2, 'Valve', 'https://valvesoftware.com/', NULL),
(3, 'XBOX Game Studios', 'https://www.xbox.com/en-US/xbox-game-studios', NULL),
(4, 'Devolver Digital', 'https://www.devolverdigital.com/', 'Purveyors of fine digital entertainment wares from independent video game creators worldwide.'),
(5, 'Annapurna Interactive', 'https://www.annapurnainteractive.com/', 'Annapurna Interactive works with game creators from around the world, helping them create and release personal experiences for everyone.'),
(6, 'Electronic Arts', 'https://www.ea.com/', 'Driven by passion, we are a global leader in digital interactive entertainment.');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `developers`
--
ALTER TABLE `developers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `games_master_table`
--
ALTER TABLE `games_master_table`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `publishers`
--
ALTER TABLE `publishers`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `developers`
--
ALTER TABLE `developers`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `games_master_table`
--
ALTER TABLE `games_master_table`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `publishers`
--
ALTER TABLE `publishers`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
